public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/doubles/
@ 2021-10-03 18:33 Alessandro Barbieri
  0 siblings, 0 replies; 4+ messages in thread
From: Alessandro Barbieri @ 2021-10-03 18:33 UTC (permalink / raw
  To: gentoo-commits

commit:     3f6ee30a88c5cc32444b131f40df131c644f2df5
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Oct  2 19:59:38 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun Oct  3 18:32:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3f6ee30a

dev-python/doubles: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/doubles/Manifest             |  1 +
 dev-python/doubles/doubles-1.5.3.ebuild | 28 ++++++++++++++++++++++++++++
 dev-python/doubles/metadata.xml         | 13 +++++++++++++
 3 files changed, 42 insertions(+)

diff --git a/dev-python/doubles/Manifest b/dev-python/doubles/Manifest
new file mode 100644
index 000000000..676021958
--- /dev/null
+++ b/dev-python/doubles/Manifest
@@ -0,0 +1 @@
+DIST doubles-1.5.3.tar.gz 16835 BLAKE2B bc57c3da3e55377073ead71f45a07fb1ccc0b41ff86b6ed6ec00d5d134245b304483d2a024c1a650e4561f4ca14ef5ebb71627f9cbbb2daa561315b67035f007 SHA512 4e5b19a762db6fea379d2338420bdb25b8db79253b22d8107815126d5a234f15c36368b10da367ac91d6ff35c55b3892fcdb46e4ed93b3891237e10984c1859c

diff --git a/dev-python/doubles/doubles-1.5.3.ebuild b/dev-python/doubles/doubles-1.5.3.ebuild
new file mode 100644
index 000000000..33d8322bd
--- /dev/null
+++ b/dev-python/doubles/doubles-1.5.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Test doubles for Python"
+HOMEPAGE="https://github.com/uber/doubles"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest

diff --git a/dev-python/doubles/metadata.xml b/dev-python/doubles/metadata.xml
new file mode 100644
index 000000000..fd81770d2
--- /dev/null
+++ b/dev-python/doubles/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>lssndrbarbieri@gmail.com</email>
+    <name>Alessandro Barbieri</name>
+  </maintainer>
+  <upstream>
+    <bugs-to>https://github.com/uber/doubles/issues</bugs-to>
+    <remote-id type="pypi">doubles</remote-id>
+    <remote-id type="github">uber/doubles</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/doubles/
@ 2021-10-14 20:22 Alessandro Barbieri
  0 siblings, 0 replies; 4+ messages in thread
From: Alessandro Barbieri @ 2021-10-14 20:22 UTC (permalink / raw
  To: gentoo-commits

commit:     19565368bbc7e7e8bddd965192cbbebe1badf722
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Thu Oct 14 19:26:37 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Thu Oct 14 20:22:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=19565368

dev-python/doubles: use github tarball

Closes: https://bugs.gentoo.org/816600
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/doubles/Manifest             | 2 +-
 dev-python/doubles/doubles-1.5.3.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/doubles/Manifest b/dev-python/doubles/Manifest
index 676021958..b30b10de3 100644
--- a/dev-python/doubles/Manifest
+++ b/dev-python/doubles/Manifest
@@ -1 +1 @@
-DIST doubles-1.5.3.tar.gz 16835 BLAKE2B bc57c3da3e55377073ead71f45a07fb1ccc0b41ff86b6ed6ec00d5d134245b304483d2a024c1a650e4561f4ca14ef5ebb71627f9cbbb2daa561315b67035f007 SHA512 4e5b19a762db6fea379d2338420bdb25b8db79253b22d8107815126d5a234f15c36368b10da367ac91d6ff35c55b3892fcdb46e4ed93b3891237e10984c1859c
+DIST doubles-1.5.3.tar.gz 40297 BLAKE2B 9b1e29ad0a35e0b1d65543dacefa18428741f97e15963e964b59dd7fd6bf65dccebb2e08c73d49778904cdc08d1b38612d98948a00246849a6a10f0964842056 SHA512 858fca2bd93bf78df264c61bdda32fb2afee7125f5578b7c361695638abb4b7adc2793d62adbbc7f5a9a550672747048e6df6b7c9c60292a70fb613b89ad88e4

diff --git a/dev-python/doubles/doubles-1.5.3.ebuild b/dev-python/doubles/doubles-1.5.3.ebuild
index 33d8322bd..ec9295606 100644
--- a/dev-python/doubles/doubles-1.5.3.ebuild
+++ b/dev-python/doubles/doubles-1.5.3.ebuild
@@ -9,7 +9,7 @@ inherit distutils-r1
 
 DESCRIPTION="Test doubles for Python"
 HOMEPAGE="https://github.com/uber/doubles"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/uber/doubles/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
 
 SLOT="0"
 LICENSE="MIT"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/doubles/
@ 2021-10-17 16:24 Anna Vyalkova
  0 siblings, 0 replies; 4+ messages in thread
From: Anna Vyalkova @ 2021-10-17 16:24 UTC (permalink / raw
  To: gentoo-commits

commit:     79b550de634ced71240b255a6b1a918a86e7e145
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Oct 17 16:20:41 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Oct 17 16:24:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=79b550de

dev-python/doubles: add docs and tests

Disable pypy3 because it fails too many tests.

Closes: https://bugs.gentoo.org/816600
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/doubles/doubles-1.5.3.ebuild | 57 ++++++++++++++++++++++++++-------
 dev-python/doubles/metadata.xml         |  2 +-
 2 files changed, 47 insertions(+), 12 deletions(-)

diff --git a/dev-python/doubles/doubles-1.5.3.ebuild b/dev-python/doubles/doubles-1.5.3.ebuild
index ec9295606..debde427e 100644
--- a/dev-python/doubles/doubles-1.5.3.ebuild
+++ b/dev-python/doubles/doubles-1.5.3.ebuild
@@ -3,26 +3,61 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 
 DESCRIPTION="Test doubles for Python"
 HOMEPAGE="https://github.com/uber/doubles"
-SRC_URI="https://github.com/uber/doubles/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI="https://github.com/uber/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
 
 SLOT="0"
 LICENSE="MIT"
 KEYWORDS="~amd64"
 
-RDEPEND="
-	dev-python/six[${PYTHON_USEDEP}]
-"
-DEPEND="
-	${RDEPEND}
-	test? (
-		dev-python/nose[${PYTHON_USEDEP}]
-	)
-"
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="test? ( dev-python/nose )"
 
+DOCS=( CHANGES.rst CONTRIBUTING.rst README.rst )
+
+distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme
 distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	test/allow_test.py::TestTwice::test_fails_when_called_three_times
+	test/allow_test.py::TestOnce::test_fails_when_called_two_times
+	test/allow_test.py::TestZeroTimes::test_fails_when_called_once_times
+	test/allow_test.py::TestExactly::test_called_with_zero
+	test/allow_test.py::TestExactly::test_fails_when_called_more_than_expected_times
+	test/allow_test.py::TestAtMost::test_fails_when_called_more_than_at_most_times
+	test/class_double_test.py::TestClassDouble::test_raises_when_stubbing_instance_methods
+	test/expect_test.py::TestExpect::test_with_args_validator_not_called
+	test/expect_test.py::TestExpect::test_raises_if_an_expected_method_call_without_args_is_not_made
+	test/expect_test.py::TestExpect::test_raises_if_an_expected_method_call_with_args_is_not_made
+	test/expect_test.py::TestExpect::test_raises_if_an_expected_method_call_with_default_args_is_not_made
+	test/expect_test.py::TestTwice::test_fails_when_called_once
+	test/expect_test.py::TestTwice::test_fails_when_called_three_times
+	test/expect_test.py::TestOnce::test_fails_when_called_two_times
+	test/expect_test.py::TestExactly::test_fails_when_called_less_than_expected_times
+	test/expect_test.py::TestExactly::test_fails_when_called_more_than_expected_times
+	test/expect_test.py::TestAtLeast::test_fails_when_called_less_than_at_least_times
+	test/expect_test.py::TestAtMost::test_fails_when_called_more_than_at_most_times
+	test/expect_test.py::Test__call__::test_unsatisfied_expectation
+	test/expect_test.py::Test__enter__::test_unsatisfied_expectation
+	test/expect_test.py::Test__exit__::test_unsatisfied_expectation
+	test/object_double_test.py::TestObjectDouble::test_raises_when_stubbing_nonexistent_methods
+	test/object_double_test.py::TestObjectDouble::test_raises_when_stubbing_noncallable_attributes
+	test/pytest_test.py
+)
+
+python_prepare() {
+	# attempts to import "coverage"
+	echo "pytest_plugins = ['doubles.pytest_plugin']" > test/conftest.py || die
+
+	# "Distribution information not found. Run 'setup.py develop'"
+	sed "s/pkg_resources.get_distribution.*/'${PV}'/" -i docs/source/conf.py || die
+}
+
+python_test() {
+	epytest -p no:doubles test
+}

diff --git a/dev-python/doubles/metadata.xml b/dev-python/doubles/metadata.xml
index fd81770d2..29562d9e2 100644
--- a/dev-python/doubles/metadata.xml
+++ b/dev-python/doubles/metadata.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <maintainer type="person">
     <email>lssndrbarbieri@gmail.com</email>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/doubles/
@ 2022-11-17 21:22 Anna Vyalkova
  0 siblings, 0 replies; 4+ messages in thread
From: Anna Vyalkova @ 2022-11-17 21:22 UTC (permalink / raw
  To: gentoo-commits

commit:     da48697761980167339105364d5e6572e6d5e71c
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu Nov 17 21:06:31 2022 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Thu Nov 17 21:06:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=da486977

dev-python/doubles: enable py3.11, pypy3

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/doubles/doubles-1.5.3.ebuild | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/dev-python/doubles/doubles-1.5.3.ebuild b/dev-python/doubles/doubles-1.5.3.ebuild
index debde427e..35e48daff 100644
--- a/dev-python/doubles/doubles-1.5.3.ebuild
+++ b/dev-python/doubles/doubles-1.5.3.ebuild
@@ -3,8 +3,8 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{8..10} )
-
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+DISTUTILS_USE_PEP517=setuptools
 inherit distutils-r1
 
 DESCRIPTION="Test doubles for Python"
@@ -16,7 +16,11 @@ LICENSE="MIT"
 KEYWORDS="~amd64"
 
 RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-BDEPEND="test? ( dev-python/nose )"
+BDEPEND="
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
 
 DOCS=( CHANGES.rst CONTRIBUTING.rst README.rst )
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2022-11-17 21:22 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-10-17 16:24 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/doubles/ Anna Vyalkova
  -- strict thread matches above, loose matches on Subject: below --
2022-11-17 21:22 Anna Vyalkova
2021-10-14 20:22 Alessandro Barbieri
2021-10-03 18:33 Alessandro Barbieri

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox